[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# ReadLFMHeaderFromFile

Reads the LFM header from the specified file name.

## Declaration

Source position: lresources.pp line 527

`function ReadLFMHeaderFromFile(`
`const Filename: string;`
`out LFMType: string;`
`out LFMComponentName: string;`
`out LFMClassName: string`
`):Boolean;`

## Arguments

`Filename` |  | File with the LFM content read in the routine.
`LFMType` |  | Returns the resource type in the LFM header. Normally 'object'.
`LFMComponentName` |  | Returns the component name read from the LFM header. Like 'Form1'.
`LFMClassName` |  | Returns the class name read from the LFM header. Like 'TForm1', but may also include a unit name space such as 'ns.unit2/TForm2'.

## Function result

Returns True if the resource header is successfully read from the file and the LFM class name contains a non-empty value.

## See also

ReadLFMHeader |  |